[问题] java 安装问题----版本不一致!

C、C++和Java语言
回复
头像
core
帖子: 209
注册时间: 2007-08-17 13:00
送出感谢: 0
接收感谢: 0

[问题] java 安装问题----版本不一致!

#1

帖子 core » 2007-08-21 16:31

我的系统在安装的时候安装了1.4.2版本,
最近又安装了一个1.5.0版本的,自给配置的环境变量.
java
javac
能用
但是用java -version 显示的还是我的1.4.2版的.
怎么才能改成1.50的啊??

跪求各位大侠!
djseeker2007
帖子: 2
注册时间: 2007-08-03 5:59
送出感谢: 0
接收感谢: 0

#2

帖子 djseeker2007 » 2007-08-23 6:02

我也遇到这样的情况,而且我安装java6的时候会出错。OpenOffice的设置里倒是可以看到java5和free java的选项。Azureus只认free java。有没有高手指点迷津?多谢先!
头像
core
帖子: 209
注册时间: 2007-08-17 13:00
送出感谢: 0
接收感谢: 0

#3

帖子 core » 2007-08-26 17:07

解决了
运行
#alternatives --install /usr/bin/java java /usr/java/jdk1.5.0/bin/java 2
# /usr/sbin/alternatives --config java
两个命令然后
#java -version
显示java version "1.5.0_12"


但我不知道我的这篇贴子怎么给我扔回收站里了??
头像
core
帖子: 209
注册时间: 2007-08-17 13:00
送出感谢: 0
接收感谢: 0

#4

帖子 core » 2007-09-01 9:23

谢谢版主
回复

回到 “C/C++/Java”